Debian Bug report logs - #589477
cdimage.debian.org: jigdo content search: host not found

Package: www.debian.org; Maintainer for www.debian.org is Debian WWW Team <debian-www@lists.debian.org>;

Reported by: Jonathan Wiltshire <jmw@debian.org>

Date: Sun, 18 Jul 2010 01:06:02 UTC

Severity: important

Merged with 619680

Done: David Prévot <david@tilapin.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, Debian CD-ROM Team <debian-cd@lists.debian.org>:
Bug#589477; Package cdimage.debian.org. (Sun, 18 Jul 2010 01:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <debian@jwiltshire.org.uk>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, Debian CD-ROM Team <debian-cd@lists.debian.org>. (Sun, 18 Jul 2010 01:06:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <debian@jwiltshire.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cdimage.debian.org: jigdo content search: host not found
Date: Sun, 18 Jul 2010 02:04:18 +0100
Package: cdimage.debian.org
Severity: important

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

The section "Search Contents of .jigdo Files" [1] does not function at all
currently.

It seems the target of this form is on a host atterer.net [2] whose domain
registration expired in 2009. The host no longer has DNS entries so a generic
error is displayed by the browser.

1: http://www.debian.org/CD/jigdo-cd/#search
2: http://atterer.net/jigdo/jigdo-search.php?q=


- -- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxCUwgACgkQymvqPtuAC1JELACfTP4xkTUEKf+TQPVnf31K5I7Y
Z0UAn0gIQ7lIB/kEHykY3yMeAx4SxYnr
=PoAN
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD-ROM Team <debian-cd@lists.debian.org>:
Bug#589477; Package cdimage.debian.org. (Mon, 26 Jul 2010 19:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Paillard <spaillard@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian CD-ROM Team <debian-cd@lists.debian.org>. (Mon, 26 Jul 2010 19:30:03 GMT) Full text and rfc822 format available.

Message #10 received at 589477@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: debian-www@lists.debian.org, 589477@bugs.debian.org
Subject: Re: Link to .jigdo search engine broken
Date: Mon, 26 Jul 2010 21:28:12 +0200
reassign 589477 www.debian.org
thanks

On Mon, Jun 07, 2010 at 08:59:41AM +0200, Richard Atterer wrote:
> On Mon, Jun 07, 2010 at 07:01:07AM +0200, Clasen, Joerg (HUH/II) wrote:
> > wenn ich die .jigdo Dateien zum durchsuchen verwende, um herauszufinden 
> > welches Paket sich auf welcher CD befindet, bekomme ich einen "error 404"
> 
> Indeed, the link to search through the contents of .jigdo files is broken 
> on <http://www.debian.org/CD/jigdo-cd/#search>. :-/
> This is because I recently switched servers and haven't set up the search 
> on the new one.
> 
> Is there a need for this search feature, do people use it a lot?

IMO, displaying a nice list of package per DVD is better than people
downloading every DVD 'in case of.
We could even show on the package page which DVD/CD it is available on. 
Best regards.

> If so, I can also set it up on my new server.

I would say, if so that should be moved under a debian.org service
(master which servers cgi.debian.org for example).

-- 
Simon Paillard




Bug reassigned from package 'cdimage.debian.org' to 'www.debian.org'. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Mon, 26 Jul 2010 19:30:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#589477; Package www.debian.org. (Thu, 11 Nov 2010 19:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Paillard <spaillard@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Thu, 11 Nov 2010 19:03:03 GMT) Full text and rfc822 format available.

Message #17 received at 589477@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: Philip Hands <phil@hands.com>
Cc: Richard Atterer <atterer@debian.org>, Steve McIntyre <steve@einval.com>, debian-cd@lists.debian.org, debian-www@lists.debian.org, 589477@bugs.debian.org
Subject: Re: Jigdo search still broken.
Date: Thu, 11 Nov 2010 20:01:35 +0100
Hi all,

As we've just got another report about jigdo search, I wonder if there are
updates about moving this service to get it operationnal.

FYI this is tracked by #589477.

On Thu, Oct 07, 2010 at 02:26:30PM +0100, Philip Hands wrote:
> On Wed, 6 Oct 2010 23:33:45 +0200, Richard Atterer <atterer@debian.org> wrote:
> > On Wed, Oct 06, 2010 at 02:29:42PM +0100, Steve McIntyre wrote:
> > > On Mon, Oct 04, 2010 at 03:47:56PM +0200, thorres wrote:
> > > >the search for packages inside the jigdo files still does not work an
> > > >and leads to a 404 error.
> > > >(http://atterer.org/jigdo/jigdo-search.php?q=foo)
> > > 
> > > ACK. We should move that content onto a proper Debian service.
> > > Richard, can you help with that?
> > 
> > Hi - sorry that the search went offline, it happened when I moved servers 
> > and I never fixed it. But this should have been on a Debian server in the 
> > first place...
> > 
> > The setup consists of a cron job to mirror .jigdo files (which could be 
> > omitted if we set this up on cdimage) and a PHP file. Is PHP OK for Debian 
> > machines? IIRC perl was preferred...
> 
> Hi Richard,
> 
> You could run it on free.hands.com (where you already have an account),
> which for the moment has PHP on it.  I now have that on a VM and would
> at some point want to shift the PHP stuff onto a separate VM, so if we
> do that it would be wise to come up with a URL that would survive being
> shifted onto a new machine at some point.  That could of course be done
> by having nginx on free proxy through to the new machine.
> 
> If it's more practical to do it elsewhere, that's great, but thought I'd
> mention this option as it seems likely to be the least effort.

-- 
Simon Paillard




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#589477; Package www.debian.org. (Fri, 12 Nov 2010 06:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Atterer <atterer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Fri, 12 Nov 2010 06:09:03 GMT) Full text and rfc822 format available.

Message #22 received at 589477@bugs.debian.org (full text, mbox):

From: Richard Atterer <atterer@debian.org>
To: Philip Hands <phil@hands.com>, Richard Atterer <atterer@debian.org>, Steve McIntyre <steve@einval.com>, debian-cd@lists.debian.org, debian-www@lists.debian.org, 589477@bugs.debian.org
Subject: Re: Jigdo search still broken.
Date: Fri, 12 Nov 2010 07:07:34 +0100
Hello,

On Thu, Nov 11, 2010 at 08:01:35PM +0100, Simon Paillard wrote:
> As we've just got another report about jigdo search, I wonder if there are
> updates about moving this service to get it operationnal.

Hi, it's still on my TODO list, though unfortunately I have been rather 
busy with other things lately.

The thing is also: It's not ideal to put it on my own webspace again, nor 
to use Phil's VM, since neither is an official Debian machine. So either 
way, it would only be a temporary solution. :-|

By the way, thanks for your help with CD vendor entries, Simon - very much 
appreciated! :)

  Richard

-- 
  __   ,
  | ) /|  Richard Atterer     |  GnuPG key: 888354F7
  | \/ |  http://atterer.org  |  08A9 7B7D 3D13 3EF2 3D25  D157 79E6 F6DC 8883 54F7





Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#589477; Package www.debian.org. (Fri, 12 Nov 2010 11:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Paillard <spaillard@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Fri, 12 Nov 2010 11:24:03 GMT) Full text and rfc822 format available.

Message #27 received at 589477@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: Richard Atterer <atterer@debian.org>, 589477@bugs.debian.org
Cc: Philip Hands <phil@hands.com>, Steve McIntyre <steve@einval.com>, debian-cd@lists.debian.org, debian-www@lists.debian.org
Subject: Re: Bug#589477: Jigdo search still broken.
Date: Fri, 12 Nov 2010 12:20:36 +0100
On Fri, Nov 12, 2010 at 07:07:34AM +0100, Richard Atterer wrote:
> On Thu, Nov 11, 2010 at 08:01:35PM +0100, Simon Paillard wrote:
> > As we've just got another report about jigdo search, I wonder if there are
> > updates about moving this service to get it operationnal.
> 
> Hi, it's still on my TODO list, though unfortunately I have been rather 
> busy with other things lately.
> 
> The thing is also: It's not ideal to put it on my own webspace again, nor 
> to use Phil's VM, since neither is an official Debian machine. So either 
> way, it would only be a temporary solution. :-|

Where can we find source and documentation about the jigdo search ?

-- 
Simon Paillard




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#589477; Package www.debian.org. (Sat, 13 Nov 2010 03:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Atterer <atterer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sat, 13 Nov 2010 03:27:03 GMT) Full text and rfc822 format available.

Message #32 received at 589477@bugs.debian.org (full text, mbox):

From: Richard Atterer <atterer@debian.org>
To: Richard Atterer <atterer@debian.org>, 589477@bugs.debian.org, Philip Hands <phil@hands.com>, Steve McIntyre <steve@einval.com>, debian-cd@lists.debian.org, debian-www@lists.debian.org
Subject: Re: Bug#589477: Jigdo search still broken.
Date: Sat, 13 Nov 2010 04:24:26 +0100
On Fri, Nov 12, 2010 at 12:20:36PM +0100, Simon Paillard wrote:
> Where can we find source and documentation about the jigdo search ?

The source code used to be downloadable on the search page...
I've just uploaded it here:
http://atterer.org/sites/atterer/files/jigdo-search-070308.tar.gz
It requires setting up a cronjob to download and pre-process the data.

Cheers,
  Richard

-- 
  __   ,
  | ) /|  Richard Atterer     |  GnuPG key: 888354F7
  | \/ |  http://atterer.org  |  08A9 7B7D 3D13 3EF2 3D25  D157 79E6 F6DC 8883 54F7





Changed Bug submitter to 'jona@powdarrmonkey.net (Jonathan Wiltshire)' from 'Jonathan Wiltshire <debian@jwiltshire.org.uk>' Request was from jona@powdarrmonkey.net (Jonathan Wiltshire) to control@bugs.debian.org. (Fri, 03 Dec 2010 14:51:11 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Jonathan Wiltshire <jmw@debian.org>' from 'jona@powdarrmonkey.net (Jonathan Wiltshire)' Request was from Jonathan Wiltshire <jmw@debian.org> to control@bugs.debian.org. (Fri, 03 Dec 2010 15:00:08 GMT) Full text and rfc822 format available.

Forcibly Merged 589477 619680. Request was from David Prévot <david@tilapin.org> to control@bugs.debian.org. (Sat, 26 Mar 2011 03:12:02 GMT) Full text and rfc822 format available.

Forcibly Merged 589477 619680. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Sat, 26 Mar 2011 10:51:04 GMT) Full text and rfc822 format available.

Reply sent to David Prévot <david@tilapin.org>:
You have taken responsibility. (Mon, 18 Apr 2011 02:48:03 GMT) Full text and rfc822 format available.

Notification sent to Jonathan Wiltshire <jmw@debian.org>:
Bug acknowledged by developer. (Mon, 18 Apr 2011 02:48:04 GMT) Full text and rfc822 format available.

Message #45 received at 589477-done@bugs.debian.org (full text, mbox):

From: David Prévot <david@tilapin.org>
To: 589477-done@bugs.debian.org
Subject: Jigdo search replaced
Date: Sun, 17 Apr 2011 22:44:47 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

> On Thu, Nov 11, 2010 at 08:01:35PM +0100, Simon Paillard wrote:
>> As we've just got another report about jigdo search, I wonder if there are
>> updates about moving this service to get it operationnal.

Thanks to Steve McIntyre who recently made available online a global CD
search engine [1] and provided a patch to address this issue [2], the
jigdo Search form [3] has just been updated to use this new search engine.

[1] http://cdimage-search.debian.org/
[2] http://lists.debian.org/20110416221123.GH13627@einval.com
[3] http://www.deb.at/CD/jigdo-cd/#search

Regards

David

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNq6WbAAoJELgqIXr9/gnybZIP/07dVqW6uwakv0e5fMa9X23O
Sutgzp5OANTfMX1zKRw0D02USvJfItnRMqtCg/E76njHnI3KYw5AqvdUhI90Narr
JWj6QeMjKHA3ClWeKekWN/e8S/QpZ69nk7Gd6nY+GJu6TrIe/bX4skRdHar6YlH6
hDcaTn9XGo0wxIQq3Iue3vs+V9vMc5q1OrkFiWCe+H3ehWc7efops/d/VDnokGDE
HOhtRa5NQmMPAKWi0qGK9wtJpOtxQz5VUiN+WMHn+15kviLwC1JqReCjAcoLb965
PMkkZi19vWG9MfUfO6z7f9PKIRxO6IdgoA0yulnl2x6o6OZ7MSSHbgLPDec0dSfO
lqKWpH8cGGiOH2NPiUZorvzIg8AwOZu3K1fgi0KTSoON5ExT3+nvGBhTwihttMAe
ggJsSsb+M9ghdHoFLiy1MCRa+anKk132dlRYcjtmsH/DmzFBgDHrTG0U/8RwUg7S
AXRbrBjMD+LJMAQsVtxWpWJJA7JQiUniC3H2/axl4d87qCJtzIcoDAw3yGVMccEj
mtQVIKIlMFBlKg1nAiLiZ/QgNGF5zcrqosyNUu7U6g4iquhsGvP97ty7u/er9Ktk
MTuSJ11clHgLVlBf+EYeicpcdMYAX3dDHY++klYgKWeueMsEhvwf0y2gI5nxDkI8
RPaxj4RxPA/eU4Bfg1L/
=V8o4
-----END PGP SIGNATURE-----




Reply sent to David Prévot <david@tilapin.org>:
You have taken responsibility. (Mon, 18 Apr 2011 02:48:04 GMT) Full text and rfc822 format available.

Notification sent to Ben Hutchings <ben@decadent.org.uk>:
Bug acknowledged by developer. (Mon, 18 Apr 2011 02:48:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 May 2011 07:33:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:43:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.